package kz.konturai.parser.dto;

import java.time.LocalDateTime;

public class ReportGenerationResponse {
    private String taskId;
    private String message;
    private LocalDateTime estimatedCompletionTime;
    private String status;

    public ReportGenerationResponse() {
    }

    public ReportGenerationResponse(String taskId, String message, LocalDateTime estimatedCompletionTime,
            String status) {
        this.taskId = taskId;
        this.message = message;
        this.estimatedCompletionTime = estimatedCompletionTime;
        this.status = status;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public LocalDateTime getEstimatedCompletionTime() {
        return estimatedCompletionTime;
    }

    public void setEstimatedCompletionTime(LocalDateTime estimatedCompletionTime) {
        this.estimatedCompletionTime = estimatedCompletionTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
